// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "InputManager.hpp"
#include "game/DawnGame.hpp"

using namespace Dawn;

InputManager::InputManager(DawnGame *game) : IInputManager<int32_t>(game) {

}

float_t InputManager::getInputValue(int32_t axis) {
  auto exist = this->rawInputValues.find(axis);
  if(exist == this->rawInputValues.end()) return 0.0f;
  
  return exist->second;
}